<HTML>

<HEAD></HEAD>

<BODY>
<script type="text/javascript">
async function goOne()
  {
  let url=document.getElementById('urlString').value;
  const response = await fetchRequest (url);
  renderResponce(response);
  
  var data={text: 'Nothing searched!'}
  if (response.status=='200'){
      data = await makeData (response)
  }
  renderData(data);
      
return;            
}
    
    
async function fetchRequest (url)
    {
        console.log('fetch for '+url+' '+Date.now());
        return await fetch(url);  
    }
    
async function makeData(response)
    {
        return await response.json();
    }
    
function renderResponce(response)
{
    let str='Status '+response.status+'<BR>';
    str+='Headers '+response.headers.get('Content-Type')+'<BR>';
    str+='Responce type '+response.type;
    document.getElementById('outPut').innerHTML=str;           
    return;    
}

function renderData (data)
{    
    document.getElementById('outPut2').innerHTML=JSON.stringify(data);  
    return;
}
    
    </script>
    Url for query:<input type='text' size='20' value='http://localhost:3001/users' id='urlString'>
    <input type='button' value='Get data from url' id='getDataButton' onClick='goOne()'>
    <div id='outPut'></div>
    <div id='outPut2'></div>

</BODY>

</HTML>
